// Learn cc.Class:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] https://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        allInEffect: cc.Node,
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        // all In 特效
        this.allInShowDownEffect = this.allInEffect.getComponent(dragonBones.ArmatureDisplay);
        this.allInShowDownEffect.addEventListener(dragonBones.EventObject.COMPLETE, this.animationEventHandler, this);

    },

    animationEventHandler(event) {
        this.allInEffect.runAction(cc.fadeOut(0.1))
    },

   play() {
        this.allInEffect.opacity = 255
        this.allInShowDownEffect.playAnimation('animation', 1)

    }
    // update (dt) {},
});
